JUCE: format_types

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Classes | Macros | Functions
format_types
juce_audio_processors

## Namespaces
namespace | ARA
namespace | ARAHostModel
namespace | Presonus

## Classes
class | ARAFactoryWrapper
| Encapsulates an ARAFactory pointer and makes sure that it remains in a valid state for the lifetime of the ARAFactoryWrapper object. More...
struct | ARAFactoryResult
| Represents the result of AudioPluginFormatManager::createARAFactoryAsync(). More...
class | ARAEditGuard
| Reference counting helper class to ensure that the DocumentController is in editable state. More...
struct | ARAHostModel::ConversionFunctions< A, B >
| Allows converting, without warnings, between pointers of two unrelated types. More...
class | ARAHostModel::ManagedARAHandle< Base, PtrIn >
| This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc. More...
class | ARAHostModel::AudioSource
| Helper class for the host side implementation of the ARA AudioSource model object. More...
class | ARAHostModel::AudioModification
| Helper class for the host side implementation of the ARA AudioModification model object. More...
struct | ARAHostModel::DeletionListener
| This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted. More...
struct | ARAHostModel::PlaybackRegion
| Helper class for the host side implementation of the ARA PlaybackRegion model object. More...
class | ARAHostModel::MusicalContext
| Helper class for the host side implementation of the ARA MusicalContext model object. More...
class | ARAHostModel::RegionSequence
| Helper class for the host side implementation of the ARA RegionSequence model object. More...
class | ARAHostModel::PlaybackRegionRegistry< RendererRef, Interface >
| Base class used by the PlaybackRendererInterface and EditorRendererInterface plugin extension interfaces. More...
class | ARAHostModel::PlugInExtensionInstance
| Wrapper class for `ARA::ARAPlugInExtensionInstance*`. More...
class | ARAHostDocumentController
| Wrapper class for `ARA::Host::DocumentController`. More...
class | AudioUnitPluginFormat
| Implements a plugin format manager for AudioUnits. More...
class | LADSPAPluginFormat
| Implements a plugin format manager for LADSPA plugins. More...
class | LV2PluginFormat
| Implements a plugin format for LV2 plugins. More...
class | VST3PluginFormat
| Implements a plugin format for VST3s. More...
struct | SpeakerMappings
| Structure for VST speaker mappings. More...
struct | SpeakerMappings::Mapping
| Structure describing a mapping. More...
class | SpeakerMappings::VstSpeakerConfigurationHolder
| Class to hold a speaker configuration. More...
class | VSTPluginFormat
| Implements a plugin format manager for VSTs. More...
class | VSTPluginFormat::ExtraFunctions
| Base class for some extra functions that can be attached to a VST plugin instance. More...

## Macros
#define | LILV_DYN_MANIFEST
#define | LILV_STATIC
#define | LV2_STATIC
#define | SERD_STATIC
#define | SORD_STATIC
#define | SRATOM_STATIC
#define | ZIX_STATIC
#define | LILV_VERSION "0.24.12"
#define | SERD_VERSION "0.30.10"
#define | SORD_VERSION "0.16.9"
#define | LILV_CXX 1
#define | LILV_DIR_SEP "/"
#define | LILV_PATH_SEP ":"
#define | LILV_DEFAULT_LV2_PATH

## Functions
template<typename Obj , typename Member , typename... Ts>
constexpr Obj | makeARASizedStruct (Member Obj::*member, Ts &&... ts)
void | createARAFactoryAsync (AudioPluginInstance &instance, std::function< void(ARAFactoryWrapper)> cb)
| Calls the provided callback with an ARAFactoryWrapper object obtained from the provided AudioPluginInstance.
| JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE ("-Wdeprecated-copy-dtor", "-Wnon-virtual-dtor", "-Wdeprecated", "-Wreorder", "-Wunsequenced", "-Wint-to-pointer-cast", "-Wunused-parameter", "-Wconversion", "-Woverloaded-virtual", "-Wshadow", "-Wdeprecated-register", "-Wunused-function", "-Wsign-conversion", "-Wsign-compare", "-Wdelete-non-virtual-dtor", "-Wdeprecated-declarations", "-Wextra-semi", "-Wmissing-braces", "-Wswitch-default", "-Wshadow-field", "-Wpragma-pack", "-Wcomma", "-Wzero-as-null-pointer-constant", "-Winconsistent-missing-destructor-override", "-Wcast-align", "-Wignored-qualifiers", "-Wmissing-field-initializers", "-Wformat=", "-Wformat", "-Wpedantic", "-Wextra", "-Wclass-memaccess", "-Wmissing-prototypes", "-Wtype-limits", "-Wcpp", "-W#warnings", "-Wmaybe-uninitialized", "-Wunused-but-set-variable") namespace Steinberg

## Detailed Description

## Macro Definition Documentation

## ◆ LILV_DYN_MANIFEST

#define LILV_DYN_MANIFEST

## ◆ LILV_STATIC

#define LILV_STATIC

## ◆ LV2_STATIC

#define LV2_STATIC

## ◆ SERD_STATIC

#define SERD_STATIC

## ◆ SORD_STATIC

#define SORD_STATIC

## ◆ SRATOM_STATIC

#define SRATOM_STATIC

## ◆ ZIX_STATIC

#define ZIX_STATIC

## ◆ LILV_VERSION

#define LILV_VERSION "0.24.12"

## ◆ SERD_VERSION

#define SERD_VERSION "0.30.10"

## ◆ SORD_VERSION

#define SORD_VERSION "0.16.9"

## ◆ LILV_CXX

#define LILV_CXX 1

## ◆ LILV_DIR_SEP

#define LILV_DIR_SEP "/"

## ◆ LILV_PATH_SEP

#define LILV_PATH_SEP ":"

## ◆ LILV_DEFAULT_LV2_PATH

#define LILV_DEFAULT_LV2_PATH

Value:
"~/Library/Audio/Plug-Ins/LV2" LILV_PATH_SEP \
"~/.lv2" LILV_PATH_SEP \
"/usr/local/lib/lv2" LILV_PATH_SEP \
"/usr/lib/lv2" LILV_PATH_SEP \
"/Library/Audio/Plug-Ins/LV2"
LILV_PATH_SEP
#define LILV_PATH_SEP
Definition juce_lv2_config.h:59

## Function Documentation

## ◆ makeARASizedStruct()

template<typename Obj , typename Member , typename... Ts>

constexpr Obj makeARASizedStruct | ( | Member Obj::* | member,
|  | Ts &&... | ts
| ) |  |
| constexpr

Referenced by ARAHostModel::AudioSource::getEmptyProperties(), ARAHostModel::AudioModification::getEmptyProperties(), ARAHostModel::PlaybackRegion::getEmptyProperties(), ARAHostModel::MusicalContext::getEmptyProperties(), and ARAHostModel::RegionSequence::getEmptyProperties().

## ◆ createARAFactoryAsync()

void createARAFactoryAsync | ( | AudioPluginInstance & | instance,
|  | std::function< void(ARAFactoryWrapper)> | cb
| ) |  |

Calls the provided callback with an ARAFactoryWrapper object obtained from the provided AudioPluginInstance.

If the provided AudioPluginInstance has no ARA extensions, the callback will be called with an ARAFactoryWrapper that wraps a nullptr.

The object passed to the callback must be checked even if the plugin instance reports having ARA extensions.

## ◆ JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE()

JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE | ( | "-Wdeprecated-copy-dtor" | ,
|  | "-Wnon-virtual-dtor" | ,
|  | "-Wdeprecated" | ,
|  | "-Wreorder" | ,
|  | "-Wunsequenced" | ,
|  | "-Wint-to-pointer-cast" | ,
|  | "-Wunused-parameter" | ,
|  | "-Wconversion" | ,
|  | "-Woverloaded-virtual" | ,
|  | "-Wshadow" | ,
|  | "-Wdeprecated-register" | ,
|  | "-Wunused-function" | ,
|  | "-Wsign-conversion" | ,
|  | "-Wsign-compare" | ,
|  | "-Wdelete-non-virtual-dtor" | ,
|  | "-Wdeprecated-declarations" | ,
|  | "-Wextra-semi" | ,
|  | "-Wmissing-braces" | ,
|  | "-Wswitch-default" | ,
|  | "-Wshadow-field" | ,
|  | "-Wpragma-pack" | ,
|  | "-Wcomma" | ,
|  | "-Wzero-as-null-pointer-constant" | ,
|  | "-Winconsistent-missing-destructor-override" | ,
|  | "-Wcast-align" | ,
|  | "-Wignored-qualifiers" | ,
|  | "-Wmissing-field-initializers" |
| ) |  |